Pular para o conteúdo
Entrar Cadastre-se

API de Eventos do Google

Recupere dados estruturados de eventos do Google Events. Defina engine=google_events e passe uma frase de busca como “Events in Paris” para obter uma lista selecionada de próximos eventos na área especificada.

GET https://serp.shifter.io/v1?engine=google_events&api_key=YOUR_API_KEY
ParâmetroTipoObrigatórioDescrição
api_keystringsimSua chave de API SERP
enginestringsimDeve ser google_events
qstringsimA consulta de busca do evento
devicestringnãodesktop, mobile, ou tablet
google_domainstringnãoDomínio do Google a ser usado
locationstringnãoNome do local de geotargeting
uulestringnãoString de localização codificada do Google
hlstringnãoCódigo do idioma da interface
glstringnãoCódigo do país
Terminal window
curl "https://serp.shifter.io/v1?engine=google_events&api_key=YOUR_API_KEY&q=Events%20in%20Paris%2C%20France"
{
"search_metadata": { "status": "Success" },
"search_parameters": {
"engine": "google_events",
"q": "Events in Paris, France",
"google_domain": "google.com"
},
"events_results": [
{
"title": "Paris Fashion Week",
"date": {
"start_date": "Feb 27",
"when": "Tue, Feb 27, 10:00 AM - Tue, Mar 5, 6:00 PM"
},
"address": ["Paris, France"],
"link": "https://www.example.com/event/...",
"venue": { "name": "Le Grand Palais", "rating": 4.6 },
"thumbnail": "https://..."
}
]
}